{% extends '::baseIntranet.html.twig' %}

{% block title %} INTRANET - Talleres & Apoyos {% endblock title %}

{% block stylesheets %}
  	<link href="{{ asset('bundles/intranet/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css') }}" rel="stylesheet" type="text/css">
	<style>
		#form_Guardar,#form_Cancelar {
		    margin-top: 2%;
		    float: left;
		    margin-right: 1%;
		}
		#form_previo {
		    margin-top: 2%;
		}
		#form_cuerpo {
		    height: 40vh !important;
		    resize: none;
		}    
	</style>	
{% endblock %}

{% block body -%}
        
        	<section class="content-header">
	          <h1>
	            Talleres & Apoyos.
	          </h1>
	        </section>
        <section class="content">  
        	<div class="box box-success">
        		<div class="box-header">
                  <h3 class="box-title">Nuevo Taller o Apoyo</h3>
                </div>
                <div class="box-body">
                	{{ form_start(form_new) }}
		                  {% for row in [		                    
		                    [ ['titulo'],	['tipo'],	['Usuario']	],
		                    [ ['cuerpo',3]],
		                    [ ['fechaInicio'],	['fechaFin']	]
		                    ] 
		                  %}
		                    <div class="row">   
		                    {% for field in row %}
		                      <div class="col-md-{{ field[1] is defined ? field[1] * 4 :  4 }}">
		                        {% if (attribute(form_new, field[0]) is defined) %}
		                          {{ form_row(attribute(form_new, field[0])) }}
		                        {% endif %}
		                      </div>
		                    {% endfor %}
		                    </div>
		                  {% endfor %}
		                  {{ form_rest(form_new) }}
		            {{ form_end(form_new) }}
                </div>
             </div>
		    
		   

		</section> 	
    
{% endblock %}

{% block javascripts %}
	<script src="{{ asset('bundles/intranet/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js') }}" type="text/javascript"></script>
  	<script src="{{ asset('bundles/intranet/plugins/bootstrap-wysihtml5/bootstrap-wysihtml5.es-ES.js') }}"></script>
	<script>

		$(document).ready(function() {

		   
			$("#form_cuerpo").wysihtml5({
	            "link": false,
	            "image": false,
	            locale: "es-ES"
	        });

		} );

	function save(){
		var date1 = $('#form_fechaInicio').val();
		var date2 = $('#form_fechaFin').val();
		var titulo = $('#form_titulo').val();
		var cuerpo = $('#form_cuerpo').val();
		var usuario = $('#form_Usuario').val();
		var tipo = $('#form_tipo').val();

		if(date1 && date2 && titulo && cuerpo && usuario && tipo != ""){
			showLoading('Guardando Taller/Apoyo');
		}
	}

	function clearForm(){
		$('#form_Guardar').attr("disabled", false); 
	}

	$( "#form_fechaInicio" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
      minDate: "-0D",
    });

    $( "#form_fechaFin" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
      minDate: "-0D",
    });

    //validar fechas    
    function vd_date(){
        
        var date1 = createdate($('#form_fechaInicio').val());
        var date2 = createdate($('#form_fechaFin').val());

        if (date1 > date2){
            alert("La fecha de fin no puede ser una fecha anterior a la fecha de Inicio");
            $('#form_Guardar').attr("disabled", true);    
        }else{
        	$('#form_Guardar').attr("disabled", false); 
        }

    }
	</script>
{% endblock %}